Summary:	Lightweight display manager
Name:		sddm
Version:	0.13.0
Release:	5
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://github.com/sddm
Source0:	https://github.com/sddm/sddm/releases/download/v%{version}/sddm-%{version}.tar.xz
# Adds sddm to drakedm
Source1:	11sddm.conf
Source2:	sddm.conf
Source3:	sddm.pam
Source4:	sddm-autologin.pam
Source5:	tmpfiles-sddm.conf
# Needed for drakx-finish-install
Patch1:		sddm-0.12.0-Wait-for-display-setup-script-no-more-than-10m.patch
Patch2:		sddm-0.13.0-pass-locale-env.patch
Patch3:		sddm-0.13.0-face-png.patch
Patch4:		sddm-0.13.0-maui-them-fixes.patch

# Several Fedora patches
Patch100:	0007-Fall-back-to-regular-login-when-autologin-fails.patch
Patch101:	0025-Fix-crash-reading-lists-from-configuration.patch
Patch102:	0026-Do-not-read-multiple-lines.patch
Patch103:	0032-Honor-RememberLastUser-and-RememberLastSession-setti.patch
Patch104:	0033-Activate-window-for-the-primary-screen.patch
Patch105:	0034-Theme-Maui-Prevent-losing-focus.patch
BuildRequires:	cmake
BuildRequires:	qmake5
BuildRequires:	qt5-linguist-tools
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Declarative)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(libsystemd-journal)
Requires:	%{name}-theme-circles
Requires:	%{name}-theme-elarun
Requires:	%{name}-theme-maldives
Requires:	%{name}-theme-maui
# For /etc/X11/Xsession
Requires:	xinitrc
Requires(post,preun):	rpm-helper
# needed to get xcb plugin on Qt platform
Requires:	qt5-output-driver-default
Requires:	%{_lib}qt5declarative5

%description
Lightweight display manager (login screen).

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-greeter
%{_datadir}/%{name}/faces/
%{_datadir}/%{name}/flags/
%{_datadir}/%{name}/scripts/
%{_datadir}/%{name}/translations/
%config(noreplace) %{_sysconfdir}/sddm.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.DisplayManager.conf
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/pam.d/%{name}-greeter
%{_sysconfdir}/pam.d/%{name}-autologin
%{_tmpfilesdir}/sddm.conf
%{_prefix}/libexec/sddm-helper
%{_unitdir}/%{name}.service
%{_libdir}/qt5/qml/SddmComponents
%{_datadir}/X11/dm.d/11sddm.conf
%attr(0755,sddm,sddm) %{_localstatedir}/lib/%{name}

%pre
%_pre_useradd sddm %{_var}/lib/sddm /bin/false

%postun
%_postun_userdel sddm

%post
%tmpfiles_create %{name}.conf
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

#----------------------------------------------------------------------------

%package theme-circles
Summary:	Circles theme for SDDM
Group:		Graphical desktop/KDE
Conflicts:	%{name} < 0.11.0-20

%description theme-circles
Circles theme for SDDM.

%files theme-circles
%{_datadir}/%{name}/themes/circles/

#----------------------------------------------------------------------------

%package theme-elarun
Summary:	Elarun theme for SDDM
Group:		Graphical desktop/KDE
Conflicts:	%{name} < 0.11.0-20

%description theme-elarun
Elarun theme for SDDM.

%files theme-elarun
%{_datadir}/%{name}/themes/elarun/

#----------------------------------------------------------------------------

%package theme-maldives
Summary:	Maldives theme for SDDM
Group:		Graphical desktop/KDE
Conflicts:	%{name} < 0.11.0-20

%description theme-maldives
Maldives theme for SDDM.

%files theme-maldives
%{_datadir}/%{name}/themes/maldives/

#----------------------------------------------------------------------------

%package theme-maui
Summary:	Maui theme for SDDM
Group:		Graphical desktop/KDE
Conflicts:	%{name} < 0.11.0-20

%description theme-maui
Maui theme for SDDM.

%files theme-maui
%{_datadir}/%{name}/themes/maui/

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

sed -i -e 's,system-login,system-auth,g' services/*.pam

%build
%cmake \
	-DUSE_QT5:BOOL=ON \
	-DSESSION_COMMAND:FILEPATH=%{_sysconfdir}/X11/Xsession \
	-DENABLE_JOURNALD=ON \
	-DUID_MIN=500 \
	-DUID_MAX=60000
%make

%install
%makeinstall_std -C build

install -Dpm 644 %{SOURCE1} %{buildroot}%{_datadir}/X11/dm.d/11sddm.conf
install -Dpm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sddm.conf
install -Dpm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/pam.d/sddm
install -Dpm 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/pam.d/sddm-autologin
install -Dpm 644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/sddm.conf

mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}

# use default.jpg as sddm background
sed -i -e 's,\(^background=\).*,\1%{_datadir}/mdk/backgrounds/default.jpg,' %{buildroot}%{_datadir}/sddm/themes/*/theme.conf


%changelog

* Wed Apr 20 2016 Denis Silakov <dsilakov@gmail.com> 0.13.0-5
- (7ad0455) Merge a set of fixes from Fedora


